1. Pay-In
Mozarto - The Payments Orchestration Platform
  • 1. Introduction
  • 2. Quick Start
  • 3. Authentication
  • 4. Errors
  • 5. Redirect flow
    • Pay-In Flow
    • Pay-Out Flow
    • Webhook Setup
  • 6. Payment Providers (PSPs)
    • Overview
    • Brite
    • Cleo
    • Flexepin
    • ForumPay
    • Gigadat
    • Neosurf
    • PayOne
    • Trust Payments
    • Worldpay
  • 7. Redirect Flow APIs
    • Redirect Flow APIs - overview
    • Pay-In
      • Forumpay
        POST
      • Payone
        POST
      • WorldPay
        POST
      • Gigadat
        POST
    • Pay-Out
      • Forumpay
      • Payone
  • Schemas
    • TransactionData
  1. Pay-In

Forumpay

Prod Env
https://backend.app.mozarto.io
Prod Env
https://backend.app.mozarto.io
POST
/v1/api/mozarto/cashier

Request

Header Params

Body Params application/json

Example
{
        "pspType": "FORUMPAY",
        "type": "PAYIN",
        "isTestMode": false,
        "baseamount": 10.00,
        "currency": "EUR",
        "userId": "000000000000000000000001",
        "email": "merchant-user@example.com",
        "country": "GB"
      }

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://backend.app.mozarto.io/v1/api/mozarto/cashier' \
--header 'Authorization: Bearer {{COMPANY_TOKEN}}' \
--header 'x-user-token: Bearer {{USER_TOKEN}}' \
--header 'Content-Type: application/json' \
--data-raw '{
        "pspType": "FORUMPAY",
        "type": "PAYIN",
        "isTestMode": false,
        "baseamount": 10.00,
        "currency": "EUR",
        "userId": "000000000000000000000001",
        "email": "merchant-user@example.com",
        "country": "GB"
      }'

Responses

🟢200
application/json
Bodyapplication/json

Example
{
  "status": "success",
  "message": "Successfully",
  "isSuccess": true,
  "data": {
    "url": "https://app.forumpay.com/pay/xyz123abc",
    "id": "pay_abc123xyz",
    "state": "new",
    "transactionId": "64a1f2b3c4d5e6f7a8b9c0d1",
    "merchantReference": "",
    "amount": 10.00
  }
}
🟠400
🔴500
Modified at 2026-05-11 15:24:55
Previous
Redirect Flow APIs - overview
Next
Payone
Built with